Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLDimensionInfo

    java.lang.Object
      jet.api.BLDimensionInfo

    public class BLDimensionInfo

extends java.lang.Object

Copyright (c) 1998, Jinfonet Software, Inc. All rights reserved.

Constructor Summary
`BLDimensionInfo(java.lang.String refMappingName, java.lang.String name)` Constructor.Creates a JReport BusinessLogic Dimension

Method Summary
`void` | `addDetailInfo(BLDetailInfo info)` Adds a JReport BusinessLogic Detail definition into Dimension
`java.lang.String` | `getDescription()` Gets description of Dimension
`BLDetailInfo[]` | `getDetailInfos()` Gets Detail definitions of Dimension
`java.lang.String` | `getDisplayName()` Gets display name of Dimension
`java.lang.String` | `getName()` Gets name of Dimension
`java.lang.String` | `getPrompt()` Gets prompt text of Dimension
`java.lang.String` | `getRefMappingName()` Gets refered resource name of Dimension
`void` | `setDescription(java.lang.String description)` Sets description of Dimension
`void` | `setDisplayName(java.lang.String displayName)` Sets display name of Dimension
`void` | `setName(java.lang.String name)` Sets name of Dimension
`void` | `setPrompt(java.lang.String prompt)` Sets prompt text of Dimension
`void` | `setRefMappingName(java.lang.String mappingName)` Sets refered resource name of Dimension

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLDimensionInfo

    public BLDimensionInfo(java.lang.String refMappingName,
                           java.lang.String name)

  Constructor.Creates a JReport BusinessLogic Dimension

  Parameters:
    `name` - Indicates Dimension name.
    `refMappingName` - Indicates field resouece name refered by Dimension

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets description of Dimension

  Parameters:
    `description` - the description of Dimension.

### getDescription

    public java.lang.String getDescription()

  Gets description of Dimension

  Returns:
    the description of Dimension.

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Sets prompt text of Dimension

  Parameters:
    `prompt` - the prompt text of Dimension.

### getPrompt

    public java.lang.String getPrompt()

  Gets prompt text of Dimension

  Returns:
    prompt text of Dimension.

### setName

    public void setName(java.lang.String name)

  Sets name of Dimension

  Parameters:
    `name` - the name of Dimension.

### getName

    public java.lang.String getName()

  Gets name of Dimension

  Returns:
    the name of Dimension.

### setRefMappingName

    public void setRefMappingName(java.lang.String mappingName)

  Sets refered resource name of Dimension

  Parameters:
    `mappingName` - the refered resource name of Dimension.

### getRefMappingName

    public java.lang.String getRefMappingName()

  Gets refered resource name of Dimension

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets display name of Dimension

  Parameters:
    `displayname` - the display name of Dimension.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets display name of Dimension

  Returns:
    the display name of Dimension.

### getDetailInfos

    public BLDetailInfo[] getDetailInfos()

  Gets Detail definitions of Dimension

### addDetailInfo

    public void addDetailInfo(BLDetailInfo info)

  Adds a JReport BusinessLogic Detail definition into Dimension

  Parameters:
    `detailInfo` - the Detail definition that will be created in Dimension.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD